<?
/**
 * Functions
 * User: Ygen
 * Date: 21.02.2018
 * Ver: v1.1
 */

 
 /**
 *  v0.9
 * connectionModule webhooks
 */
namespace Connect {
class crm{
	/**
	 *      B24
	 * @param $id
	 * @return array
	 */
	public static function getDealData($id,$connection_id,$connection_site){
		$queryUrl = 'https://'.$connection_site.'.bitrix24.ru/rest/44/'.$connection_id.'/crm.deal.get';
		$queryData = http_build_query(array(
			'ID' => $id
		));

		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_SSL_VERIFYPEER => 0,
			CURLOPT_POST => 1,
			CURLOPT_HEADER => 0,
			CURLOPT_RETURNTRANSFER => 1,
			CURLOPT_URL => $queryUrl,
			CURLOPT_POSTFIELDS => $queryData,
		));

		$result = curl_exec($curl);
		curl_close($curl);
		if($result){
			$data   =   json_decode($result,true)['result'];
		}else{
			$data   =   array();
		}
		return  $data;
	}

	
	/**
	 *   
	 * @param $dealID
	 * @return array
	 */	
	public static function executeREST($method, $params, $connection_id,$connection_site) {
    $queryUrl = 'https://'.$connection_site.'.bitrix24.ru/rest/44/'.$connection_id.'/'.$method;
    $queryData = http_build_query($params);

    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_SSL_VERIFYPEER => 0,
        CURLOPT_POST => 1,
        CURLOPT_HEADER => 0,
        CURLOPT_RETURNTRANSFER => 1,
        CURLOPT_URL => $queryUrl,
        CURLOPT_POSTFIELDS => $queryData,
    ));

    $result = curl_exec($curl);
    curl_close($curl);

    return json_decode($result, true);
}
	
	
	/**
	 *   $param   B24
	 * @param $id
	 * @param $delivery
	 * @return array
	 */
	public static function sendInfo($id,$param,$connection_id,$connection_site){
		$queryUrl = 'https://'.$connection_site.'.bitrix24.ru/rest/44/'.$connection_id.'/crm.deal.update';

	if ($param<>'')	 {
		$queryData = http_build_query(array(
			'ID'    =>  $id,
			'fields'=>  $param,
		));
		
		
		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_SSL_VERIFYPEER => 0,
			CURLOPT_POST => 1,
			CURLOPT_HEADER => 0,
			CURLOPT_RETURNTRANSFER => 1,
			CURLOPT_URL => $queryUrl,
			CURLOPT_POSTFIELDS => $queryData,
		));

		$result = curl_exec($curl);		
		curl_close($curl);
		
		if($result){
			$data   =   json_decode($result,true)['result'];
		}else{
			$data   =   array();
		}		
		return  $data;
	}
	
	}
}
}
?>