<?
/* ***************************************************************************                     **************************************************************** */
/* ***************************************************************************   ANOTHER NAMESPACE **************************************************************** */
/* ***************************************************************************                     **************************************************************** */
 
namespace BitrixFunctions {
class orders{
	/**
	 * класс для получения информации из заказов
	 */
	

	/**
	 * функция получает id способа оплаты
	 */
	public static function getOrderPaySystemNameID($id){
		require_once($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/include/prolog_before.php');
		$getsale='';$arPaySys='';
		\CModule::IncludeModule('sale');				
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);						
		//получаем информацию о заказе
		$getsale=\CSaleOrder::GetByID($id);
		//Получаем id системы оплаты
		$arPaySys = \CSalePaySystem::GetByID($getsale['PAY_SYSTEM_ID']);		
		return $arPaySys[ID];
	}	
	
	
	/**
	*  Функция заносит данные о заказе 
	*
	**/
	public static function updateOrderProperty($params = [])
	{
    if ($params && !empty($params['order']) && !empty($params['code'])) {

        $order = $params['order'];
        $code  = $params['code'];
        $value = !empty($params['value']) ? $params['value'] : '';

        if (CModule::IncludeModule('sale')) {

            $prop = Bitrix\Sale\Internals\OrderPropsValueTable::getList([
                'filter' => [
                    'ORDER_ID' => $order,
                    'CODE'     => $code
                ]
            ])->Fetch();

            if ($prop) {

                return CSaleOrderPropsValue::Update($prop['ID'], [
                    'VALUE' => $value
                ]);
            }
        }
    }

    return false;
	}

	/**
	 * функция получает статус физик или юрик
	 * и заносит в список. Надо передать 2 параметра(выпадающих из списка).
	 * $entity=2 - юрик   ;   $entity=1 - физик
	 */
	public static function getOrderUserType($id,$ur,$fiz){
		$personType='';		$entity=0;  $getsale='';
		\CModule::IncludeModule('sale');		
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);			
		//получаем информацию о заказе
		$getsale=\CSaleOrder::GetByID($id);
		//Физик или юрик   $personType
		$entity=$getsale['PERSON_TYPE_ID'];		
        if ($entity==2) $personType=$ur; //юрик
		if ($entity==1) $personType=$fiz; //физик		
		
		//AddMessage2Log("ID=".$id."  entity= ".$entity, "Модуль вебхуков");
		
		return  $personType;
	}	
	
	/**
	 * функция получает статус оплаты
	 * Возвращает $no_payed или $payed (можно в Б24 прописать поле Да,Нет и задать параметры 0 и 1 для переменных)
	 */
	public static function getOrderPayStatus($id,$no_payed,$payed){
		$getsale=''; $pay='';
		\CModule::IncludeModule('sale');		
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);			
		//получаем информацию о заказе
		$getsale=\CSaleOrder::GetByID($id);
		//получаем статус оплаты
		if ($getsale['PAYED']=="N") {$pay=$no_payed;}
		if ($getsale['PAYED']=="Y") {$pay=$payed;}
		return  $pay;
	}
	/**
	 * функция получает название доставки
	 */
	public static function getDeliveryName($id){
		$deliv_name='';		$arDeliv='';  $getsale='';
		\CModule::IncludeModule('sale');		
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);
		//получаем информацию о заказе
		$getsale=\CSaleOrder::GetByID($id);
		//получаем название доставки
		$arDeliv = \CSaleDelivery::GetByID($getsale['DELIVERY_ID']);			
		$deliv_name=$arDeliv[NAME];
		
		return  $deliv_name;
	}
	/**
	 * функция получает Id способа доставки
	 */
	public static function getOrderDeliverySystemNameID($id){
		$getsale=''; $arDeliv=''; $delivery='';
		\CModule::IncludeModule('sale');		
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);
		//получаем информацию о заказе
		$getsale=\CSaleOrder::GetByID($id);
		//получаем название доставки
		$arDeliv = \CSaleDelivery::GetByID($getsale['DELIVERY_ID']);						
		$delivery=$arDeliv[ID];
		
		return  $delivery;
	}
	/**
	 * функция получает имя способа оплаты
	 */
	public static function getOrderPaySystemName($id){
		$PaySystemName='';		$arPaySys='';  $getsale='';
		\CModule::IncludeModule('sale');		
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
			)
		);
			
		//получаем доставку
		$getsale=\CSaleOrder::GetByID($id);
		//Получаем id системы оплаты
		$arPaySys = \CSalePaySystem::GetByID($getsale['PAY_SYSTEM_ID']);
		$PaySystemName=$arPaySys['NAME'];
		
		return  $PaySystemName;
	}
	
	/**
	 * функция получает свойство из заказа
	*/
	public static function getOrderValue($id,$value){
		\CModule::IncludeModule('sale');		
		$obProps = Bitrix\Sale\Internals\OrderPropsValueTable::getList(array('filter' => array('ORDER_ID' => $id)));
		
		while($prop = $obProps->Fetch()){
			if($prop['CODE']==$value){$valueName  = $prop['VALUE']; }
		}
	
		return $valueName;
	}
	
	
	public static function getRoiStatId($id){		
		\CModule::IncludeModule('sale');
		$roiStatId  =   '';
		$db_vals    =   \CSaleOrderPropsValue::GetList(
			array(),
			array(
				'ORDER_ID' =>  $id,
				'CODE'     =>  array('ROISTAT_VISIT'),
			)
		);
		while($arVals   =   $db_vals->Fetch()){
			if($arVals['CODE']=='ROISTAT_VISIT'){
				$roiStatId  =   $arVals['VALUE'];
			}
		}
		
		return  $roiStatId;
	}	
	
}

	
class processing{
	/**
	 * класс для индивидуальной обработки данных
	 * передаваемых параметров
	 */
	 
	 public static function processingPaySystem($arPaySys){
		/**
		* обработка типа оплаты нал/яд,карта и пр
		* с последующим выбором из списка
		*/		 
		SWITCH (intval($arPaySys)){
			case 1:  //нал
				$PaySystem=151;
				break;
			
			case 4: //яд
				$PaySystem=143;
				break;

			case 7: //безнал
				$PaySystem=155;
				break;

			case 12: //карта ЯД
				$PaySystem=145;
				break;

			case 21: //квитанция сбера
				$PaySystem=147;
				break;
			
			case 24: //киви
				$PaySystem=149;
				break;
	
			case 26: //2кан
				$PaySystem=153;
				break;
				
			case 27: //Сбербанк Карта
				$PaySystem=145;
				break;	
		}		
	 
	 return $PaySystem;
	}
	
	 public static function processingDeliverySystem($delivery){
		 $param='';
		/**
		* обработка типа доставки
		* с последующим выбором из списка
		*/		 		
		SWITCH (intval($delivery)){
			case 4:  //самовывоз
				$param=113;
				break;
			
			case 2: //мкад1
				$param=115;
				break;
			case 24: //мкад2
				$param=115;
				break;

			case 25: //easyway1
				$param=95;
				break;
			case 26: //easyway2
				$param=95;
				break;
			
			case 28: //дл1
				$param=97;
				break;
			case 29: //дл2
				$param=97;
				break;
		
			case 34: //почта1
				$param=93;
				break;
			case 35: //почта2
				$param=93;
				break;
			case 36: //почта3
				$param=93;
				break;
			case 37: //Своя ТК
				$param=195;
				break;
			case 39: //Достависта
				$param=199;
				break;
				
			case '': //пустое значение
				$param=117;
				break;
			
	}
		
	return $param;
	 }	
	
}
}
?>